Skip to content
Campaigns

Bind the invitation code for the specified stage

OPA tenants bind invitation codes for designated Long Bridge users during the registration, account opening and deposit stages

Error Codes

  • 400801: The invitation code does not exist in Longbridge, please check the code
  • 400803: User identification validation failed, please check and retry
  • 400804: Unable to resolve mid
  • 400805: Invalid invite stage value
  • 400806: The target stage already has an invite relationship with a different code
  • 400807: The target stage already has an invite relationship with the same code
  • 1901500: Longbridge internal error, please retry
  • 1901601: Invalid invitation relationship, you cannot invite yourself
  • 1901602: Invalid invitation relationship, the inviter and invitee cannot bind to each other
  • 1901603: The user has already opened an account and cannot be bound to an account opening inviter anymore
  • 1901604: The user has already made a deposit and cannot be bound to a deposit inviter anymore
POSThttps://b-api.longbridge.xyz/v1/whaleapi/bind-invite-code

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Request body application/json

open_idstringrequired

Open ID. Open ID

invite_codestringrequired

Invite Code. Invite Code

stagesarray<integer>required

Stages. Stages

bound_atintegerrequired

Bound At. Bound At

Responses

HTTP 200Fields are taken from the real responses definition for this operation in the published Whale OpenAPI spec (whale-openapi/Whale-openapi.json).
Standard response envelopecodemessagedata
dataobjectdata structure
statusstringrequired

0 SUCCESS 1 PARTIAL 2 ALL_FAILED. 0 SUCCESS 1 PARTIAL 2 ALL_FAILED

resultsarray<object>required

results

Child attributes
stageintegerrequired

See Request. See Request

successbooleanrequired

Success. Success

codestringrequired

Error Code, See Description. Error Code, See Description

messagestringrequired

Error Message. Error Message

bound_atintegerrequired

Bound At. Bound At

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs